import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import 'normalize.css'
import './styles/common.scss'
import './styles/tdesign.scss'
// 引入组件库的少量全局样式变量
import 'tdesign-vue-next/es/style/index.css';
import {formatTime} from '@/utils/common'

//引入注册脚本
import 'virtual:svg-icons-register'
import registerGlobalComponents from '@/components/globalComponents';

const app= createApp(App)

// 挂载一个全局格式化时间方法
app.config.globalProperties.formatTime=formatTime

// 注册全局组件
registerGlobalComponents(app)

app.use(router)
app.mount('#app')
