import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/customer',
    name:'Customer',
    component:LayoutIndex,
    meta:{
      title:'客户管理'
    },
    children:[
      {
        path:'businessETAList',
        name:"商家管理",
        component: () => import('@/views/business_ETA_manage/businessList.vue'),
				hidden: false,
      },
      {
        path:'addETABusiness',
        name:"新增商家",
        component: () => import('@/views/business_ETA_manage/addBusiness.vue'),
				hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
        }
      },
      {
        path:'editETABusiness',
        name:"编辑商家",
        component: () => import('@/views/business_ETA_manage/businessEdit.vue'),
				hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
        }
      },
      {
        path:'businessETADetail',
        name:"商家详情",
        component: () => import('@/views/business_ETA_manage/businessDetail.vue'),
				hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
        }
      },
      {
        path:'businessETAAuth',
        name:"商家权限",
        component: () => import('@/views/business_ETA_manage/businessAuth.vue'),
        hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
        }
      },
      {
        path:'userList',
        name:'CustomerUserList',
        component:()=>import('@/views/customer/user/Index.vue'),
        meta:{
          title:'用户管理'
        },
      }
    ]
  },
  {
    path:'/customer',
    name:'CustomerUser',
    component:LayoutIndex,
    meta:{
      title:'ETA客户行为统计'
    },
    children:[
      {
        path:'userActionStatistic',
        name:'CustomerUserActionStatistic',
        component:()=>import('@/views/customer/user/ActionStatistic.vue'),
        meta:{
          title:'ETA客户行为统计'
        },
      }
    ]
  },
]